#ifndef __FSL_DELAY_H__
#define __FSL_DELAY_H__

#include <config.h>

#ifdef __cplusplus
extern "C" {
#endif

#define OVERHEAD_CLOCKS 48  // FIXME: Tune for KDS compiler or rewrite all code to ASM

void delay(volatile unsigned int dly);     // [ms]
void delay_us(volatile unsigned int dly);  // [us]

#ifndef delayus
#define delayus			delay_us
#endif
#ifndef delayus_fcn
#define delayus_fcn		delay_us
#endif

#ifdef __cplusplus
} // extern "C"
#endif

#endif // __FSL_DELAY_H__
